de.esprit.netsuite.server.core

## Class ServerEventDispatcher

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<S>
    - - de.esprit.netsuite.server.AbstractServerObject<ServerContext>
      - - de.esprit.netsuite.server.core.ServerEventDispatcher

- All Implemented Interfaces:
    ApplicationObject<ServerContext>, CloseableComponent, SimpleLogSupport, Dumpable, ClientConnectionEvent.Source, CoServerConnectionEvent.Source, NetMessageEvent.Source, UserAuthenticationEvent.Source, ServerObject<ServerContext>, java.lang.AutoCloseable

      public class ServerEventDispatcher
      extends AbstractServerObject<ServerContext>
      implements NetMessageEvent.Source, UserAuthenticationEvent.Source, ClientConnectionEvent.Source, CoServerConnectionEvent.Source, CloseableComponent

  This class is used to fire server internal notification events in a thread safe manner.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerEventDispatcher(ServerContext serverCtx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClientConnectionListener(ClientConnectionEvent.Listener l)`
    `void` | `addCoServerConnectionListener(CoServerConnectionEvent.Listener l)`
    `void` | `addNetMessageListener(NetMessageEvent.Listener l)`
    `void` | `addUserAuthenticationListener(UserAuthenticationEvent.Listener l)`
    `void` | `close()`
    `void` | `fireClientConnectionChanged(ClientConnectionEvent event)`
    `void` | `fireCoServerConnection(CoServerConnectionEvent event)`
    `void` | `fireNetMessageSent(NetMessage msg)`
    `void` | `fireUserAuthentication(UserAuthenticationEvent event)`
    `void` | `removeClientConnectionListener(ClientConnectionEvent.Listener l)`
    `void` | `removeCoServerConnectionListener(CoServerConnectionEvent.Listener l)`
    `void` | `removeNetMessageListener(NetMessageEvent.Listener l)`
    `void` | `removeUserAuthenticationListener(UserAuthenticationEvent.Listener l)`

    - ### Methods inherited from class de.esprit.netsuite.server.AbstractServerObject

      `checkPermission, getServerConfig, getServerContext, getStatisticManager, toString`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerEventDispatcher

          public ServerEventDispatcher(ServerContext serverCtx)

  - ### Method Detail

    - #### addUserAuthenticationListener

          public void addUserAuthenticationListener(UserAuthenticationEvent.Listener l)

      Specified by:
        `addUserAuthenticationListener` in interface `UserAuthenticationEvent.Source`

    - #### removeUserAuthenticationListener

          public void removeUserAuthenticationListener(UserAuthenticationEvent.Listener l)

      Specified by:
        `removeUserAuthenticationListener` in interface `UserAuthenticationEvent.Source`

    - #### fireUserAuthentication

          public void fireUserAuthentication(UserAuthenticationEvent event)

    - #### addClientConnectionListener

          public void addClientConnectionListener(ClientConnectionEvent.Listener l)

      Specified by:
        `addClientConnectionListener` in interface `ClientConnectionEvent.Source`

    - #### removeClientConnectionListener

          public void removeClientConnectionListener(ClientConnectionEvent.Listener l)

      Specified by:
        `removeClientConnectionListener` in interface `ClientConnectionEvent.Source`

    - #### fireClientConnectionChanged

          public void fireClientConnectionChanged(ClientConnectionEvent event)

    - #### addCoServerConnectionListener

          public void addCoServerConnectionListener(CoServerConnectionEvent.Listener l)

      Specified by:
        `addCoServerConnectionListener` in interface `CoServerConnectionEvent.Source`

    - #### removeCoServerConnectionListener

          public void removeCoServerConnectionListener(CoServerConnectionEvent.Listener l)

      Specified by:
        `removeCoServerConnectionListener` in interface `CoServerConnectionEvent.Source`

    - #### fireCoServerConnection

          public void fireCoServerConnection(CoServerConnectionEvent event)

    - #### addNetMessageListener

          public void addNetMessageListener(NetMessageEvent.Listener l)

      Specified by:
        `addNetMessageListener` in interface `NetMessageEvent.Source`

    - #### removeNetMessageListener

          public void removeNetMessageListener(NetMessageEvent.Listener l)

      Specified by:
        `removeNetMessageListener` in interface `NetMessageEvent.Source`

    - #### fireNetMessageSent

          public void fireNetMessageSent(NetMessage msg)

    - #### close

          public void close()

      Specified by:
        `close` in interface `java.lang.AutoCloseable`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.